import { NotificationDataRow, ToastButton } from '@genesislcap/foundation-notifications';
import { NotificationListener } from '@genesislcap/foundation-ui';
import { NotificationsPlatform } from '@openfin/workspace/notifications';
/**
 * @public
 * @remarks
 * OpenfinToastButton interface which extends ToastButton
 */
export interface OpenfinToastButton extends ToastButton {
    task: string;
}
/**
 * @public
 * @remarks
 * Openfin Notifications custom element
 */
export declare class OpenfinNotifications extends NotificationListener {
    notificationsPlatform: NotificationsPlatform;
    toast: string;
    toastButtons: OpenfinToastButton[];
    connectedCallback(): Promise<void>;
    private addButtonListeners;
    protected showNotificationToast(row: NotificationDataRow): Promise<void>;
    private mapToastButtons;
}
//# sourceMappingURL=openfin-notifications-listener.d.ts.map