import { NotificationDataRow } from '@genesislcap/foundation-notifications';
import { NotificationListener } from '@genesislcap/foundation-ui';
import { NotificationsPlatform } from '@openfin/workspace/notifications';
import { ToastButton } from '@genesislcap/foundation-notifications';

/**
 * @public
 * @remarks
 * Util method to check whether an application is running in an openfin workspace container
 */
export declare const isOpenFin: () => boolean;

/**
 * @public
 * @remarks
 * Openfin Notifications custom element
 */
export declare class OpenfinNotifications extends NotificationListener {
    notificationsPlatform: NotificationsPlatform;
    toast: string;
    toastButtons: OpenfinToastButton[];
    connectedCallback(): Promise<void>;
    private addButtonListeners;
    protected showNotificationToast(row: NotificationDataRow): Promise<void>;
    private mapToastButtons;
}

/**
 * @public
 * @remarks
 * OpenfinToastButton interface which extends ToastButton
 */
export declare interface OpenfinToastButton extends ToastButton {
    task: string;
}

export { }
